/* ページトップボタンPC */
.is-pagetop {
    position: fixed;
    right: 13px;
    bottom: 15px;
    z-index: 5;

    opacity: 0;
    visibility: hidden;
    transition: opacity .3s ease, visibility .3s ease;
}

.is-pagetop.is-show {
    opacity: 1;
    visibility: visible;
}

.pagetop {
    margin: 0;
}

.pagetop__anchor {
    position: relative;
    display: inline-block;
    padding-top: 28px;
    color: #504741;
    text-decoration: none;
    cursor: pointer;
}

.pagetop__anchor::before {
    content: "";
    position: absolute;
    top: 5px;
    left: 50%;
    width: 20px;
    height: 21px;
    transform: translateX(-50%) rotate(-90deg);
    transition: transform .3s ease;

    -webkit-mask-image: url(/img/usr/common/ico_arrow.png);
    mask-image: url(/img/usr/common/ico_arrow.png);

    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;

    -webkit-mask-size: contain;
    mask-size: contain;

    -webkit-mask-position: center;
    mask-position: center;

    background-color: #504741;
}

.pagetop__anchor:hover::before {
    transform: translateX(-50%) rotate(-90deg) translateX(5px);
}